#!/usr/bin/perl

#Include current script directory in the module path (needed on Microsoft IIS).
#This allows this script to work by copying ChartDirector to the same directory
#as the script (as an alternative to installation in Perl module directory)
use File::Basename;
use lib dirname($0);

use perlchartdir;

#The data for the pie chart
my $data = [25, 18, 15, 12, 8, 30, 35];

#The labels for the pie chart
my $labels = ["Labor", "Licenses", "Taxes", "Legal", "Insurance", "Facilities",
    "Production"];

#Create a PieChart object of size 300 x 230 pixels
my $c = new PieChart(300, 230);

#Set the background color of the chart to gold (goldGradient). Use a 2 pixel 3D
#border.
$c->setBackground($c->gradientColor($perlchartdir::goldGradient), -1, 2);

#Set the center of the pie at (150, 115) and the radius to 80 pixels
$c->setPieSize(150, 115, 80);

#Add a title box using 10 point Arial Bold font. Set the background color to red
#metallic (redMetalGradient). Use a 1 pixel 3D border.
$c->addTitle("Pie Chart Coloring Demo", "arialbd.ttf", 10)->setBackground(
    $c->gradientColor($perlchartdir::redMetalGradient), -1, 1);

#Draw the pie in 3D
$c->set3D();

#Set the pie data and the pie labels
$c->setData($data, $labels);

#output the chart
binmode(STDOUT);
print "Content-type: image/png\n\n";
print $c->makeChart2($perlchartdir::PNG);
