#!/usr/bin/perl

#Include current script directory in the module path (needed on Microsoft IIS).
#This allows this script to work by copying ChartDirector to the same directory
#as the script (as an alternative to installation in Perl module directory)
use File::Basename;
use lib dirname($0);

use perlchartdir;

#The data for the area chart
my $data = [30, 28, 40, 55, 75, 68, 54, 60, 50, 62, 75, 65, 75, 89, 60, 55, 53,
    35, 50, 66, 56, 48, 52, 65, 62];

#The labels for the area chart
my $labels = ["0", "", "", "3", "", "", "6", "", "", "9", "", "", "12", "", "",
    "15", "", "", "18", "", "", "21", "", "", "24"];

#Create a XYChart object of size 250 x 250 pixels
my $c = new XYChart(250, 250);

#Set the plotarea at (30, 20) and of size 200 x 200 pixels
$c->setPlotArea(30, 20, 200, 200);

#Add an area chart layer using the given data
$c->addAreaLayer($data);

#Set the x axis labels using the given labels
$c->xAxis()->setLabels($labels);

#output the chart
binmode(STDOUT);
print "Content-type: image/png\n\n";
print $c->makeChart2($perlchartdir::PNG);
